Search documentation of tftp

# View Source tftp_logger behaviour (tftp v1.2)

Trivial FTP logger.

A `tftp_logger` callback module is to be implemented as a `tftp_logger` behavior and export the following functions:

# Summary

## Callbacks

error_msg(Format, Data)

Logs an error message. See `error_logger:error_msg/2` for details.

info_msg(Format, Data)

Logs an info message. See `error_logger:info_msg/2` for details.

warning_msg(Format, Data)

Logs a warning message. See `error_logger:warning_msg/2` for details.

# Callbacks

Link to this callback

# error_msg(Format, Data)

View Source (optional) (since OTP 18.1)

    -callback error_msg(Format :: string(), Data :: [term()]) -> ok.

Logs an error message. See `error_logger:error_msg/2` for details.

Link to this callback

# info_msg(Format, Data)

View Source (optional) (since OTP 18.1)

    -callback info_msg(Format :: string(), Data :: [term()]) -> ok.

Logs an info message. See `error_logger:info_msg/2` for details.

Link to this callback

# warning_msg(Format, Data)

View Source (optional) (since OTP 18.1)

    -callback warning_msg(Format :: string(), Data :: [term()]) -> ok.

Logs a warning message. See `error_logger:warning_msg/2` for details.